This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 696151 - [apache] The apache fails to recognize directives with non-standard letter case
[apache] The apache fails to recognize directives with non-standard letter case
Status: NEW
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.0.0
Unspecified Unspecified
medium Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-13 08:47 EDT by Lukas Krejci
Modified: 2011-05-23 20:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2011-04-13 08:47:27 EDT
Description of problem:

apache directives are case-insensitive but the RHQ apache plugin considers them case-sensitive. This makes it disregard directives with non-default letter case.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.spell one of VirtualHost directives in httpd.conf with different case than default
2.check that the directive still applies - i.e. the vhost is still reachable after apache restart
3. discover the apache instance in RHQ
  
Actual results:
the vhost spelled with different letter case will not be discovered

Expected results:
all the vhosts discovered regardless of letter case

Additional info:

Note You need to log in before you can comment on or make changes to this bug.